Subject: pkg/13084: freetype-* shoudl CONFLICT with old freetype
To: None <>
From: None <>
List: netbsd-bugs
Date: 06/01/2001 22:03:30
>Number:         13084
>Category:       pkg
>Synopsis:       freetype-* shoudl CONFLICT with old freetype
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Fri Jun 01 19:02:01 PDT 2001
>Originator:     Bill Squier
>Release:        1.5.1_BETA2
Bill Squier (                

        I know I don't deserve another chance, but this _is_ America,
        and as an American, aren't I entitled to one?  --Sideshow Bob.
System: NetBSD nyarlathotep 1.5.1_BETA2 NetBSD 1.5.1_BETA2 (GENERIC) #0: Thu May 17 22:21:36 EDT 2001 i386

	After freetype was split into freetype, freetype-lib and
	freetype-util, freetype-* should conflict with the old monolithic


	Have monolithic freetype-1.2 installed.

	Build cupsomatic-ppds.

	Stare in twisty-dependency-induced stupor as japanese/vflib-lib
	depends on freetype-lib>=1.3.1.


	Add appropriate conflicts.

	Take initiative and find other monolithic --> split packages that
	have the same problem. ;-)